---
schema_version: "1"
id: 5756a07fa12cbe98060794496ca5a83cd429fc9f5548cc192fd7e71dcbcc8681
title: GET /ott/v1/registration/{platform}/{ottPropertyId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/OTTretrieveRegistrationProperty.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_chat_messaging/OTTretrieveRegistrationProperty.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9588b2e1ae405686caed7fc7e32ec6ad75d03bbf66cc8ab9a02fe8d32960ab17
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /ott/v1/registration/{platform}/{ottPropertyId}

## Overview

Retrieves information about a registered OTT property by Platform and ID.

### URL Parameters

<!--complex table-->

| Name              | Type   |              | Description                        |
| ----------------- | ------ | ------------ | ---------------------------------- |
| **platform**      | string | **Required** | OTT Platform Name of the property. |
| **ottPropertyId** | string | **Required** | ID of the OTT property             |

### Responses

| Status  | Name                                  | Type    | Description                                                                                          |
| ------- | ------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                                | &nbsp;  | **Success**                                                                                          |
| &nbsp;  | ottPlatformName                       | string  | Indicates the name of the OTT network the resource is being registered with values: line, messenger. |
| &nbsp;  | ottPlatformAttributes                 | object  | Object containing OTT platform attributes.                                                           |
| &nbsp;  | ottPlatformAttributes.applicationId   | string  | Facebook Application Id.                                                                             |
| &nbsp;  | ottPlatformAttributes.pageId          | string  | Facebook Page Id.                                                                                    |
| &nbsp;  | ottPlatformAttributes.pageName        | string  | Facebook Page Name.                                                                                  |
| &nbsp;  | ottPlatformAttributes.endpointUrl     | string  | Send API url of the OTT network.                                                                     |
| &nbsp;  | ottPlatformAttributes.isActive        | integer | Indicates if the OTT resource is active with values: 0 (Inactive), 1 (Active).                       |
| &nbsp;  | ottPlatformAttributes.channelId       | string  | LINE channel Id. Required for registering LINE resource.                                             |
| &nbsp;  | ottPlatformAttributes.channelName     | string  | LINE channel name. Required for registering LINE resource.                                           |
| &nbsp;  | ottPlatformAttributes.isTransactional | integer | Indicates if LINE channel is Transactional or Reseller with values: 0 (Reseller), 1 (Transactional). |
| &nbsp;  | ottPlatformAttributes.isTestChannel   | integer | Indicates if LINE channel is a Test channel with values: 0 (Not a test channel), 1 (test channel).   |
| &nbsp;  | &nbsp;                                | &nbsp;  | &nbsp;                                                                                               |
| **400** | &nbsp;                                | &nbsp;  | **Bad Request**                                                                                      |
| &nbsp;  | message                               | string  | Error message.                                                                                       |
| &nbsp;  | errorcode                             | number  | Error code.                                                                                          |
| &nbsp;  | documentation                         | string  | Documentation for the error code.                                                                    |
| &nbsp;  | validationErrors                      | array   | Validation errors in the request payload.                                                            |
| &nbsp;  | &nbsp;                                | &nbsp;  | &nbsp;                                                                                               |
| **403** | &nbsp;                                | &nbsp;  | **Forbidden**                                                                                        |
| &nbsp;  | message                               | string  | Error message.                                                                                       |
| &nbsp;  | errorcode                             | number  | Error code.                                                                                          |
| &nbsp;  | documentation                         | string  | Documentation for the error code.                                                                    |
| &nbsp;  | &nbsp;                                | &nbsp;  | &nbsp;                                                                                               |
| **404** | &nbsp;                                | &nbsp;  | **Not Found**                                                                                        |
| &nbsp;  | message                               | string  | Error message.                                                                                       |
| &nbsp;  | errorcode                             | number  | Error code.                                                                                          |
| &nbsp;  | documentation                         | string  | Documentation for the error code.                                                                    |

## Usage

### Example Request: Retrieve a Messenger Resource

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /ott/v1/registration/messenger/1732555047025799
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response: Retrieve a Messenger Resource

```
HTTP/1.1 200 OK

{
    "ottPlatformName" : "messenger",
    "ottPlatformAttributes" : {
        "applicationId" : "1093076390764037",
        "pageId" : "1732555047025799",
        "pageName" : "SFMC Engineers",
        "endpointUrl" : "https://example.com/1732555047025799",
        "isTransactional" : true,
        "isTestChannel": false,
        "isActive": true,
        "apiVersion" : "v2.0"
    }
}
```

### Example Request: Retrieve a LINE Resource

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /ott/v1/registration/line/1093076390764037
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response: Retrieve a LINE Resource

```
HTTP/1.1 200 OK

{
    "ottPlatformName" : "line",
    "ottPlatformAttributes" : {
        "channelId" : "1093076390764037",
        "channelName" : "SFMC Engineers",
        "endpointUrl" : "https://example.com/1732555047025799",
        "isTransactional" : true,
        "isTestChannel": false,
        "isActive": true,
        "apiVersion" : "v2.0"
    }
}
```
